Subject: Carson Counter Stool with Swivel Seat
From: Tiason Lockridge <[email-masked]>
To: [email-masked]
Date: Wed, 30 Mar 2022 19:50:17 -0000

Hello,I recently obtained at Carson Counter Stool with Swivel Seat in light grey. I did not purchase directly from your website so I do not have a receipt from you. My issue is, I am missing the leg assembly and swivel connector. I have the cushioned chair portion but no legs or connector. I am trying to figure out how I can obtain these parts to have a complete stool. Please Help! :)Any assistance you can provide would be greatly appreciated. Thank you and have a great day!Tiason Lockridge [email-masked]